summaryrefslogtreecommitdiff
path: root/net-nntp
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-08-27 03:04:46 -0500
committerroot <root@alpha.trunkmasters.com>2026-08-27 03:04:46 -0500
commit2becf90cbeed1e8431dfd896e8a1b0e52085a807 (patch)
treea2c63582302d79d3b93dee005f71c667e192ae02 /net-nntp
parenta5b204c853f6ce1d5c74fb57a0c5c64567baeab6 (diff)
downloadbaldeagleos-repo-2becf90cbeed1e8431dfd896e8a1b0e52085a807.tar.gz
baldeagleos-repo-2becf90cbeed1e8431dfd896e8a1b0e52085a807.tar.xz
baldeagleos-repo-2becf90cbeed1e8431dfd896e8a1b0e52085a807.zip
Adding metadata
Diffstat (limited to 'net-nntp')
-rw-r--r--net-nntp/sabnzbd/Manifest1
-rw-r--r--net-nntp/sabnzbd/sabnzbd-5.1.2.ebuild156
2 files changed, 157 insertions, 0 deletions
diff --git a/net-nntp/sabnzbd/Manifest b/net-nntp/sabnzbd/Manifest
index adcc0dbc058a..d3adab3aded8 100644
--- a/net-nntp/sabnzbd/Manifest
+++ b/net-nntp/sabnzbd/Manifest
@@ -1,3 +1,4 @@
DIST SABnzbd-4.5.5-src.tar.gz 5240879 BLAKE2B 3e2e061e7cff3b020d8807b81c01ea70f6a06cef13e5f02f935d3141c2b5e72921974a02faf16df302639a33d567d180b114ef5b4115eba45f9d50578cd2a273 SHA512 c388b87c894baa8b791b0f14b855f3a3b9114dcf9d3a7f0daba392f71b02271ec7419c1f03d9ca8c4b58fea541d7bb710bed097632aa4ebea75c391b5937a9ea
DIST SABnzbd-5.0.3-src.tar.gz 5311485 BLAKE2B d10e1c7d150f2c05f022dee4f768e3019f07f1d0d49a2b8cd74118580213a29323e88874772689dd694d20ec31c1b863575a5cbe3aaf7e4de32c557d3a6fc4fe SHA512 e3365f62fae93005ad56470b38773f8dce4d9a6c25f916e1c9aaabeaaf3d6c9ee74d07bbe148437fdd35e8f4715ab185678b88466d34fea9207298390a382918
DIST SABnzbd-5.0.4-src.tar.gz 5312450 BLAKE2B ecbc6ce29ea0e239cd757140efce298f73f1f0b306f602608abf636e20806e29b28bc0b96bad9bbf99c952dd15fb79675fce7da728cc5177c21a342718f0edb3 SHA512 b49e3b8be3a27e4f7dd8d1f7f59f100762ee186c29ccbf4a1404f3807afb929bf5307a965561a619ad93d81352981dec6a7b36a3512bd190ae9939d2fc613f2c
+DIST SABnzbd-5.1.2-src.tar.gz 5422206 BLAKE2B e46874607001ed7a6bb58aa738b21becc1638dfa2bedd8b2fcfd19c10a1bd9570be11db77f3a92767ebd7112684df3f491f6edb470b4285f298cad8ea63d1003 SHA512 8030acf2a9e0f0360150570c5deca7b71fe523acfa417681772e8ade730f7b161ebfa7bb65627acf05bdebff81d30748ec61eda9fbb9a9eca7aa2894efb4c2f1
diff --git a/net-nntp/sabnzbd/sabnzbd-5.1.2.ebuild b/net-nntp/sabnzbd/sabnzbd-5.1.2.ebuild
new file mode 100644
index 000000000000..99d3275d210b
--- /dev/null
+++ b/net-nntp/sabnzbd/sabnzbd-5.1.2.ebuild
@@ -0,0 +1,156 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="sqlite"
+
+inherit optfeature python-single-r1 systemd
+
+MY_PV="${PV/_alpha/Alpha}"
+MY_PV="${MY_PV/_beta/Beta}"
+MY_PV="${MY_PV/_rc/RC}"
+
+MY_P="SABnzbd-${MY_PV}"
+
+DESCRIPTION="Binary newsgrabber with web-interface"
+HOMEPAGE="https://sabnzbd.org/"
+SRC_URI="https://github.com/sabnzbd/sabnzbd/releases/download/${MY_PV}/${MY_P}-src.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+# SABnzbd is GPL-2+ but bundles JS/CSS libraries and Python modules
+# with their own licenses (Bootstrap, jQuery, Knockout, rarfile, etc).
+LICENSE="GPL-2+ Apache-2.0 CC-BY-3.0 ISC LGPL-2.1+ MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+ acct-user/sabnzbd
+ acct-group/sabnzbd
+ ${PYTHON_DEPS}
+ $(python_gen_cond_dep '
+ >=dev-python/apprise-1.9.2[${PYTHON_USEDEP}]
+ dev-python/chardet[${PYTHON_USEDEP}]
+ >=dev-python/cheetah3-3.4.0[${PYTHON_USEDEP}]
+ dev-python/cherrypy[${PYTHON_USEDEP}]
+ dev-python/configobj[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ >=dev-python/feedparser-6.0.11[${PYTHON_USEDEP}]
+ >=dev-python/guessit-3.8.0[${PYTHON_USEDEP}]
+ dev-python/hachoir[${PYTHON_USEDEP}]
+ dev-python/notify2[${PYTHON_USEDEP}]
+ dev-python/portend[${PYTHON_USEDEP}]
+ dev-python/puremagic[${PYTHON_USEDEP}]
+ ~dev-python/rarfile-4.3[${PYTHON_USEDEP}]
+ ~dev-python/sabctools-9.6.3[${PYTHON_USEDEP}]
+ ')
+"
+RDEPEND="
+ ${DEPEND}
+ || (
+ >=app-arch/par2cmdline-0.8
+ >=app-arch/par2cmdline-turbo-1.1.0
+ )
+ net-misc/wget
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pyfakefs[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+ dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/tavalidate[${PYTHON_USEDEP}]
+ >=dev-python/tavern-3[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+ ')
+ app-arch/7zip
+ app-arch/unrar
+ app-arch/unzip
+ )
+"
+
+src_test() {
+ local EPYTEST_IGNORE=(
+ # network sandbox
+ tests/test_get_addrinfo.py
+ tests/test_getipaddress.py
+ tests/test_internetspeed.py
+ # Requires chromedriver
+ tests/test_functional_config.py
+ tests/test_functional_downloads.py
+ tests/test_functional_sorting.py
+ )
+ local EPYTEST_DESELECT=(
+ # network sandbox
+ 'tests/test_cfg.py::TestValidators::test_validate_host'
+ 'tests/test_consistency.py::TestWiki'
+ 'tests/test_downloader.py::TestConnectionStateMachine::test_failed_connect_allows_retry'
+ 'tests/test_rss.py::TestRSS::test_rss_newznab_parser'
+ 'tests/test_rss.py::TestRSS::test_rss_nzedb_parser'
+ 'tests/test_urlgrabber.py::TestBuildRequest::test_http_basic'
+ 'tests/test_urlgrabber.py::TestBuildRequest::test_https_basic'
+ # Requires chromedriver
+ 'tests/test_functional_misc.py::TestShowLogging::test_showlog'
+ 'tests/test_functional_misc.py::TestQueueRepair::test_queue_repair'
+ 'tests/test_functional_misc.py::TestDaemonizing::test_daemonizing'
+ # Runs extract_pot.py which needs the git repo
+ 'tests/test_functional_misc.py::TestExtractPot::test_extract_pot'
+ )
+
+ epytest -s
+}
+
+src_install() {
+ insinto /usr/share/${PN}
+ doins -r email icons interfaces locale po sabnzbd scripts tools
+
+ exeinto /usr/share/${PN}
+ doexe SABnzbd.py
+
+ python_fix_shebang "${ED}"/usr/share/${PN}
+ python_optimize "${ED}"/usr/share/${PN}
+
+ newinitd "${FILESDIR}"/${PN}-r1.initd ${PN}
+ newconfd "${FILESDIR}"/${PN}.confd ${PN}
+
+ diropts -o ${PN} -g ${PN}
+ dodir /etc/${PN}
+ keepdir /var/log/${PN}
+
+ insinto "/etc/${PN}"
+ insopts -m 0600 -o "${PN}" -g "${PN}"
+ newins "${FILESDIR}"/${PN}-r1.ini ${PN}.ini
+
+ dodoc ISSUES.txt README.mkd
+
+ systemd_newunit "${FILESDIR}"/sabnzbd_at.service 'sabnzbd@.service'
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ # This is a new installation
+ einfo "Default directory: /var/lib/${PN}"
+ einfo
+ einfo "To add a user to the sabnzbd group so it can edit SABnzbd+ files, run:"
+ einfo
+ einfo " usermod -a -G sabnzbd <user>"
+ einfo
+ einfo "By default, SABnzbd will listen on TCP port 8080."
+ fi
+
+ optfeature "7z archive support" app-arch/7zip
+ optfeature "rar archive support" app-arch/unrar app-arch/rar
+ optfeature "zip archive support" app-arch/unzip
+}